"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAjaxServiceError = exports.AjaxServiceError = void 0;
var tslib_1 = require("tslib");
var AjaxServiceError = (function (_super) {
    tslib_1.__extends(AjaxServiceError, _super);
    function AjaxServiceError(response) {
        var _this = _super.call(this, "".concat(response.status)) || this;
        _this.response = response;
        return _this;
    }
    return AjaxServiceError;
}(Error));
exports.AjaxServiceError = AjaxServiceError;
function isAjaxServiceError(err) {
    return err && typeof err === 'object' && 'response' in err;
}
exports.isAjaxServiceError = isAjaxServiceError;
//# sourceMappingURL=types.js.map